問題

この質問にはすでに答えがあります:

  • または WAMPServer のWindowsコマンドラインからPHPを実行する方法 または 11回の回答 または または

Wampserver 3.0.6 32ビットがインストールされており、PHPバージョン5.6.25と7.0.10が付属しています。

サーバートレイアイコンから5.6.25から7.0.10に切り替えると、私のPCが使用している実際のPHPバージョンは更新されません。

コマンドプロンプトでこれを実行してテストできます:php -v:

 PHP 5.6.25 (cli) (built: Aug 18 2016 11:40:20)
Copyright (c) 1997-2016 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies
 

wampサービスを再起動して端末を複数回再オープンした後も、同じことが表示されます。

ブラウザでlocalhostにアクセスすると、次のように表示されます。

enter image description here

なぜまだPHPバージョン5.6を表示しているのか分かりません。

誰でもアイデアはありますか?

これをWindows 10 64ビットOSで実行します。

  ベストアンサー

端末とverison wampのバージョンは異なるかもしれません。

wampプロジェクトでは、PHPファイルを作成してこれを入れます。

     <?php
phpinfo();
?>
 

ブラウザのPHPファイルのURLに移動すると、wampのApacheサーバーが使用しているPHPバージョンが表示されます。このチュートリアルを使用して変更できます。 wamp のPHPバージョンを変更する

頑張って!

  同じタグがついた質問を見る

phpwampwampserverphp-7